### Enumeration

# Qmi WdsTrafficClass

since: 1.0

#### Declaration

    enum Qmi.WdsTrafficClass

#### Description [src]

QoS Traffic Classes.

Available since: 1.0

#### Members

`QMI_WDS_TRAFFIC_CLASS_SUBSCRIBED`

  Default class, best-effort.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_TRAFFIC_CLASS_CONVERSATIONAL`

  Two-way video/voice, most delay sensitive.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_TRAFFIC_CLASS_STREAMING`

  One-way video/audio, delay sensitive.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_TRAFFIC_CLASS_INTERACTIVE`

  Delay-sensitive, e.g. browsing, SSH.

  - Value: `3`
  - Available since: 1.0
`QMI_WDS_TRAFFIC_CLASS_BACKGROUND`

  Delay-insensitive, e.g. downloads, email.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_wds_traffic_class_get_string

Gets the nickname string for the `QmiWdsTrafficClass` specified at `val`.

since: 1.0